facebook_branded_content_ads_brandcurl -X GET \ -H "Authorization: Bearer <ACCESS_TOKEN>" \ -H "X-API-Version: 1.0.0" \ "https://api.facebook.com/partnership-ads/fb-branded-content/<PAGE_ID>/brand-allowlist-status"
{ "allowlist_status": "ENABLED" }
is_enabled status as a query parameter in a PUT request.curl -X PUT \ -H "Authorization: Bearer <ACCESS_TOKEN>" \ -H "X-API-Version: 1.0.0" \ "https://api.facebook.com/partnership-ads/fb-branded-content/<PAGE_ID>/brand-allowlist-status?is_enabled=true"
{ "allowlist_status": "ENABLED" }
creator_ineligible_for_bc field.curl -X GET \ -H "Authorization: Bearer <ACCESS_TOKEN>" \ -H "X-API-Version: 1.0.0" \ "https://api.facebook.com/partnership-ads/fb-branded-content/<PAGE_ID>/brand-allowlisted-creators"
[ { "creator_page_id": 1234567890, "creator_page_name": "Creator Page One", "creator_ineligible_for_bc": true }, { "creator_page_id": 9876543210, "creator_page_name": "Creator Page Two" } ]
curl -X POST \ -H "Authorization: Bearer <ACCESS_TOKEN>" \ -H "X-API-Version: 1.0.0" \ -H "Content-Type: application/json" \ -d '{"creator_page_ids": [111222333, 444555666]}' \ "https://api.facebook.com/partnership-ads/fb-branded-content/<PAGE_ID>/brand-allowlisted-creators"
[ { "creator_page_id": 111222333, "status_code": 200 }, { "creator_page_id": 444555666, "status_code": 200 } ]
curl -X DELETE \ -H "Authorization: Bearer <ACCESS_TOKEN>" \ -H "X-API-Version: 1.0.0" \ "https://api.facebook.com/partnership-ads/fb-branded-content/<PAGE_ID>/brand-allowlisted-creators?creator_page_ids=[111222333,444555666]"
[ { "creator_page_id": 111222333, "status_code": 200 }, { "creator_page_id": 444555666, "status_code": 404, "error_message": "Creator not found on allowlist." } ]
| Name | Description |
|---|---|
start_date
string (date)
| Optional.
The start date of the posts (inclusive). |
end_date
string (date)
| Optional.
The end date of the posts (exclusive). |
creator_page_ids
array of ints
| Optional.
The Facebook delegate Page ID(s) of the creator(s) to filter by. |
limit
int
| Optional.
The number of posts to return, up to a maximum of 5000. |
offset
int
| Optional.
The offset for pagination, with a minimum of 0. |
curl -X GET \ -H "Authorization: Bearer <ACCESS_TOKEN>" \ -H "X-API-Version: 1.0.0" \ "https://api.facebook.com/partnership-ads/fb-branded-content/<PAGE_ID>/branded-content-posts?start_date=2024-01-01&end_date=2024-02-01&creator_page_ids=[1234567890]"
[ { "fb_post_id": 505613696297499, "creator_page_id": 1234567890, "creator_page_name": "Creator Page One", "created_at": "2024-01-15T10:00:00+0000" }, { "fb_post_id": 701886166670250, "creator_page_id": 1234567890, "creator_page_name": "Creator Page One", "created_at": "2024-01-28T14:30:00+0000" } ]
curl -X DELETE \ -H "Authorization: Bearer <ACCESS_TOKEN>" \ -H "X-API-Version: 1.0.0" \ "https://api.facebook.com/partnership-ads/fb-branded-content/<PAGE_ID>/branded-content-posts?post_ids=[505613696297499]"
[ { "fb_post_id": 505613696297499, "status_code": 200 } ]